summaryrefslogtreecommitdiffstats
path: root/libraries/wvstreams
diff options
context:
space:
mode:
author Vincent Batts <vbatts@batts.mine.nu>2010-05-11 22:54:27 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:54:27 +0200
commitb51093bce423f2646a045fb9406ea4a5a0834eb0 (patch)
tree4e467c22c4b72da276c97e14bc92a62185ce1142 /libraries/wvstreams
parentb0120a814160c97c9d66d20803bed479aa7d2798 (diff)
downloadslackbuilds-b51093bce423f2646a045fb9406ea4a5a0834eb0.tar.gz
slackbuilds-b51093bce423f2646a045fb9406ea4a5a0834eb0.tar.xz
libraries/wvstreams: Added to 12.1 repository
Diffstat (limited to 'libraries/wvstreams')
-rw-r--r--libraries/wvstreams/README3
-rw-r--r--libraries/wvstreams/doinst.sh15
-rw-r--r--libraries/wvstreams/slack-desc19
-rw-r--r--libraries/wvstreams/wvstreams.SlackBuild79
-rw-r--r--libraries/wvstreams/wvstreams.info8
5 files changed, 124 insertions, 0 deletions
diff --git a/libraries/wvstreams/README b/libraries/wvstreams/README
new file mode 100644
index 0000000000..0e63b0e894
--- /dev/null
+++ b/libraries/wvstreams/README
@@ -0,0 +1,3 @@
+WvStreams is networking library written in C++. It aims to be
+an efficient, secure, easy-to-use, and OS-independent library
+for doing network applications development.
diff --git a/libraries/wvstreams/doinst.sh b/libraries/wvstreams/doinst.sh
new file mode 100644
index 0000000000..be3b470b73
--- /dev/null
+++ b/libraries/wvstreams/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/uniconf.conf.new
+
diff --git a/libraries/wvstreams/slack-desc b/libraries/wvstreams/slack-desc
new file mode 100644
index 0000000000..c664a682b8
--- /dev/null
+++ b/libraries/wvstreams/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+wvstreams: WvStreams (networking library in C++)
+wvstreams:
+wvstreams: It aims to be an efficient, secure, easy-to-use,
+wvstreams: and OS-independent library for doing network
+wvstreams: applications development.
+wvstreams:
+wvstreams: http://alumnit.ca/wiki/index.php?page=WvStreams
+wvstreams:
+wvstreams:
+wvstreams:
+wvstreams:
diff --git a/libraries/wvstreams/wvstreams.SlackBuild b/libraries/wvstreams/wvstreams.SlackBuild
new file mode 100644
index 0000000000..bd08026cbf
--- /dev/null
+++ b/libraries/wvstreams/wvstreams.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for wvstreams
+
+# Written by Vincent Batts, vbatts@batts.mine.nu
+
+PRGNAM=wvstreams
+VERSION=4.4.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# configure doesn't support disabling static libraries
+# Don't manually remove them either, as wvdial won't build then :)
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-testgui \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || exit 1
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Let's not clobber the config file
+mv $PKG/etc/uniconf.conf $PKG/etc/uniconf.conf.new
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING.LIB ChangeLog README README.TESTS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/wvstreams/wvstreams.info b/libraries/wvstreams/wvstreams.info
new file mode 100644
index 0000000000..a02c5be7d8
--- /dev/null
+++ b/libraries/wvstreams/wvstreams.info
@@ -0,0 +1,8 @@
+PRGNAM="wvstreams"
+VERSION="4.4.1"
+HOMEPAGE="http://alumnit.ca/wiki/index.php?page=WvStreams"
+DOWNLOAD="http://wvstreams.googlecode.com/files/wvstreams-4.4.1.tar.gz"
+MD5SUM="907b0cba8931553d848620ea16f006b9"
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@batts.mine.nu"
+APPROVED="rworkman"